%define name fwbuilder
%define version 2.0.2
%define release alt1
%define compgroup Security/Networking

Summary: Firewall Builder
Name: %name
Version: %version
Release: %release
License: GPL2
Group: %compgroup
Url: http://www.fwbuilder.org/
Source0: %name-%version.tar.gz
Source1: firewall.init.master22
Source2: firewall_32x32.png

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: libfwbuilder = %version

# Automatically added by buildreq on Sun Jun 27 2004
BuildRequires: XFree86-devel XFree86-libs bind-devel fontconfig freetype2 gcc-c++ glibc-devel-static hostinfo libelf-devel libnet-snmp-devel libqt3-devel libssl-devel libstdc++-devel libxml2-devel libxslt-devel qt3-designer zlib-devel
BuildRequires:  lib%name-devel = %version

Obsoletes: %name-doc %name-devel

%description
Firewall Builder consists of a GUI and set of policy compilers for
various firewall platforms. It helps users maintain a database of
objects and allows policy editing using simple drag-and-drop
operations. GUI generates firewall description in the form of XML
file, which compilers then interpret and generate platform-specific
code. Several algorithms are provided for automated network objects
discovery and bulk import of data. The GUI and policy compilers are
completely independent, this provides for a consistent abstract model
and the same GUI for different firewall platforms.

%package pf
Summary: policy compiler for OpenBSD pf
Group: %compgroup
Provides: %name-pf = %version-%release
Requires: %name = %version

%description pf
Policy compiler for OpenBSD PF

%package ipf
Summary: policy compiler for ipfilter
Group: %compgroup
Provides: %name-ipf = %version-%release
Requires: %name = %version

%description ipf
Policy compiler for ipfilter

%package ipfw
Summary: policy compiler for ipfw
Group: %compgroup
Provides: %name-ipfw = %version-%release
Requires: %name = %version

%description ipfw
Policy compiler for ipfw

%package ipt
Summary: policy compiler for iptables
Group: %compgroup
Provides: %name-ipt = %version-%release
Requires: %name = %version

%description ipt
Policy compiler for iptables

%package -n firewalld
Summary: Firewall daemon for fwbuilder
Group: System/Servers
Requires: iptables iproute2
Obsoletes: fwbuilder-daemon

%description -n firewalld
Firewall daemon for fwbuilder

%prep
%setup

%build
export QTDIR=%_libdir/qt3
%configure \
	--enable-auto-docdir \
	--prefix=%prefix \
	--with-qtdir=%_libdir/qt3 \
	--with-templatedir=%_datadir/%name
%make_build

%install
%make INSTALL_ROOT=%buildroot install

%__rm -fr %buildroot%_datadir/%name/locale
%__cp %SOURCE1 %_builddir/%name-%version/doc

# Menu entry
%__mkdir_p %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(%name): needs="x11" \
 section="Configuration/Networking" \
 title="Firewall Builder" \
 longtitle="Firewall Builder" \
 command="%_bindir/%name" \
 icon="%name.png"
EOF

%__install -pD -m644 src/gui/icons/firewall_16.png %buildroot%_miconsdir/%name.png
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.png
%__install -pD -m644 src/gui/icons/firewall_48.png %buildroot%_liconsdir/%name.png

#%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files
# -f %name.lang
%_datadir/%name
%_bindir/%name
%_bindir/fwblookup
%_bindir/fwbedit
%_bindir/fwb_install
%_bindir/fwb_compile_all
%doc doc/AUTHORS
%doc doc/COPYING
%doc doc/Credits
%doc doc/ChangeLog
%doc doc/README.floppyfw
%doc doc/README.ipf
%doc doc/README.ipfw
%doc doc/README.ipt
%doc doc/README.pf
%doc doc/PatchAcceptancePolicy.txt
%doc doc/firewall.init.master22
%_mandir/man1/%name.1*
%_mandir/man1/fwblookup.1*
%_mandir/man1/fwbedit.1*
%_mandir/man1/fwb_install.1*
%_mandir/man1/fwb_compile_all.1*
%_menudir/%name
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%files pf
%_bindir/fwb_pf
%_mandir/man1/fwb_pf.1*

%files ipf
%_bindir/fwb_ipf
%_mandir/man1/fwb_ipf.1*

%files ipfw
%_bindir/fwb_ipfw
%_mandir/man1/fwb_ipfw.1*

%files ipt
%_bindir/fwb_ipt
%_mandir/man1/fwb_ipt.1*

%changelog
* Sat Sep 04 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.2-alt1
- 2.0.2

* Fri Aug 13 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.1-alt1
- bugfix release

* Wed Aug 11 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt3
- fix spec file

* Thu Jul 29 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt2
- 2.0.0 release

* Mon Jul 26 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt1.20040726
- the latest nightly build 2004.07.25

* Sat Jul 03 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt1.20040703
- the latest nightly build 2004.07.03

* Tue Jun 29 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt1.20040629
- the latest nightly build 2004.06.29

* Sun Jun 27 2004 Valery Inozemtsev <shrek@altlinux.ru> 2.0.0-alt1.20040625
- the latest nightly build 2004.06.25

* Fri May 14 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.1.2-alt2
- Rebuilt with openssl-0.9.7d

* Wed Feb 04 2004 Valery Inozemtsev <shrek@altlinux.ru> 1.1.2-alt1
- new version

* Sun Dec 14 2003 Valery Inozemtsev <shrek@altlinux.ru> 1.1.1-alt1
- New version

* Mon Nov 3 2003 Valery Inozemtsev <shrek@altlinux.ru> 1.0.11-alt1
- Build for ALT Linux Master 2.2
- Add menu entry

* Thu Jul 17 2003 Valery Inozemtsev <shrek@altlinux.ru> 1.0.10-alt1
- Add initialization script for firewall daemon

* Sun Jul 13 2003 Valery Inozemtsev <shrek@altlinux.ru> 1.0.10-alt0
- initial ALT Linux Master 2.2 build
